0

I'm trying to install an ansible collection via ansible-galaxy. However, the programm is stuck during the step Initial connection to galaxy_server: https://galaxy.ansible.com and I have no idea what the problem could be. Thinking there might be a problem with the connection to the server, I manually downloaded and supplied the collection as tarball. However, that does not change anything. Any ideas what I might be missing?

ansible-galaxy collection install ~/Download/ansible.posix-1.3.0.tar.gz -vvvv
ansible-galaxy 2.5.1
  config file = /home/philipp/.ansible.cfg
  configured module search path = [u'/home/philipp/.ansible/plugins/modules', u'/usr/share/ansible/plugins/modules']
  ansible python module location = /usr/lib/python2.7/dist-packages/ansible
  executable location = /usr/bin/ansible-galaxy
  python version = 2.7.17 (default, Feb 27 2021, 15:10:58) [GCC 7.5.0]
Using /home/philipp/.ansible.cfg as config file
Opened /home/philipp/.ansible_galaxy
Processing role collection 
Opened /home/philipp/.ansible_galaxy
Initial connection to galaxy_server: https://galaxy.ansible.com

Update

Apparently, it isn't stuck, but super slow. While typing the question the program continued.

ansible-galaxy 2.5.1
  config file = /home/philipp/.ansible.cfg
  configured module search path = [u'/home/philipp/.ansible/plugins/modules', u'/usr/share/ansible/plugins/modules']
  ansible python module location = /usr/lib/python2.7/dist-packages/ansible
  executable location = /usr/bin/ansible-galaxy
  python version = 2.7.17 (default, Feb 27 2021, 15:10:58) [GCC 7.5.0]
Using /home/philipp/.ansible.cfg as config file
Opened /home/philipp/.ansible_galaxy
Processing role collection 
Opened /home/philipp/.ansible_galaxy
Initial connection to galaxy_server: https://galaxy.ansible.com
Base API: https://galaxy.ansible.com/api/v1
- downloading role 'collection', owned by 
https://galaxy.ansible.com/api/v1/roles/?owner__username=&name=collection
 [WARNING]: - collection was NOT installed successfully: Content has no field named 'owner'

ERROR! - you can use --ignore-errors to skip failed roles and finish processing the list.

1 Answer 1

0

Solution: Updated Ansible to 2.9.26

After searching for the warning I found out that my ansible version was too old. After updating ansible to version 2.9.26 the installation via ansible-galaxy collection install ansible.posix seems to be working.

2
  • Please don't forget to accept your answer as well :-) Oct 1, 2021 at 19:36
  • Apparently, you have to wait to days before you can accept your own answer. That's why I haven't done this, yet ;)
    – lipflip
    Oct 2, 2021 at 9:44

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.